## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathFactoryBlock Class Reference

Inheritance diagram for XPathFactoryBlock:

[legend]
Collaboration diagram for XPathFactoryBlock:

[legend]
List of all members.

## Public Types

- enum { eDefaultBlockSize = 20 }

## Public Member Functions

- XPathFactoryBlock (MemoryManagerType &theManager, unsigned int theBlockSize=eDefaultBlockSize)
- virtual ~XPathFactoryBlock ()
- virtual void reset ()
    Reset the instance.
- virtual XPath * create ()
    Create an XPath.

## Protected Member Functions

- virtual bool doReturnObject (const XPath *theXPath, bool fInReset=false)

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  eDefaultBlockSize |

## Constructor & Destructor Documentation

XPathFactoryBlock::XPathFactoryBlock | ( | MemoryManagerType & | theManager,
|  | unsigned int | theBlockSize = eDefaultBlockSize
| ) | `[explicit]`

virtual XPathFactoryBlock::~XPathFactoryBlock | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XPath* XPathFactoryBlock::create | ( |  | ) | `[virtual]`

| Create an XPath. The XPath instance is owned by the factory, and should not be deleted. The factory will manage the lifetime. Implements XPathFactory.

virtual bool XPathFactoryBlock::doReturnObject | ( | const XPath * | theXPath,
|  | bool | fInReset = false
| ) | `[protected, virtual]`

| Implements XPathFactory.

virtual void XPathFactoryBlock::reset | ( |  | ) | `[virtual]`

| Reset the instance. This invalidates all existing instances created with this XPathFactory. Implements XPathFactory.

The documentation for this class was generated from the following file:

- XPathFactoryBlock.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.